<template>
  <!--todo: при валидации форм для вывода ошибок присваивать класс '-invalid'-->
  <!--todo: для простого поля ввода: <div class="input -invalid"></div>-->
  <!--todo: для селекта: <AppSelect :class="{ '-invalid' : hasError }"-->
  <div class="templateForm">
    <div class="templateForm-item">
      <div class="priceLabel">Название шаблона*</div>
      <div
        class="input _name"
        :class="{ '-invalid': hasError }">
        <div
          v-if="hasError"
          class="input-message-error">Укажите название шаблона</div>
        <input
          type="text"
          placeholder="например, Шины_GM_оптовые цены"
          class="input-field">
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Первая строка*</div>
      <div
        class="input"
        :class="{ '-invalid': hasError }">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}</div>
        <AppInputNumber class="_small"/>
      </div>
      <div class="priceComment">С какой строки в файле начинается перечисление запчастей</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Номер запчасти*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Производитель запчасти*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <span class="priceLabel _auto">или</span>
      <div class="input _seller">
        <input
          type="text"
          placeholder="Введите название производителя"
          class="input-field">
      </div>
      <div class="priceComment">Если все товары в прайсе от 1го производителя</div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Название запчасти*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Цена розница*</div>
      <div class="input">
        <div
          v-if="hasError"
          class="input-message-error">{{ textError }}
        </div>
        <AppSelect
          class="_column"
          :class="{ '-invalid': hasError, 'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <div class="priceComment">
        Нужно указать хотя бы 1 тип цены. Если не указана оптовая цена,<br> все цены будут отображены как розничные
      </div>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel">Цена опт</div>
      <div class="input">
        <AppSelect
          class="_column"
          :class="{'multiselectThemeSmall': isInModal }"
          placeholder="№ колонки"/>
      </div>
      <AppCheckbox>
        <template #label>
          Показывать только авторизованным на сайте юр. лицам
        </template>
      </AppCheckbox>
    </div>

    <div class="templateForm-item">
      <div class="priceLabel"/>
      <AppCheckbox>
        <template #label>
          Отображать в списке шаблонов при загрузке прайсов
        </template>
      </AppCheckbox>
    </div>

    <div class="templateForm-item _submit">
      <div class="priceLabel"/>
      <AppButton
        :classes="['buttonSubmit']">
        <template #button-item>Сохранить шаблон</template>
      </AppButton>
      <AppPopover
        :options="{
          placement: 'right',
          offset: '16',
          trigger: 'click',
          additionalClasses: ['tooltipButtonBack', 'tooltipWhite']}">
        <template slot="tooltip-trigger">
          <button class="button _transparent">
            <span class="link">Отменить</span>
          </button>
        </template>
        <div
          class="tooltip-content"
          slot="tooltip-content">
          <div class="tooltip-text">Сохранить изменения?</div>
          <button
            class="button _blue"
            v-close-popover>Да</button>
          <button
            class="button buttonOutline"
            v-close-popover>Нет</button>
        </div>
      </AppPopover>
    </div>

  </div>
</template>

<script>
import AppInputNumber from '~/components/redesign/app-input/app-input-number';
import AppSelect from '~/components/redesign/app-select/app-select';
import AppCheckbox from '~/components/redesign/app-input/app-checkbox';
import AppInputRadio from '~/components/redesign/app-input/app-input-radio';
import AppTooltipQuestion from '~/components/redesign/app-tooltip/app-tooltip-question';
import AppButton from '~/components/redesign/app-buttons/app-button';
import AppPopover from '~/components/redesign/app-tooltip/app-popover';

export default {
  name: 'TemplateOriginParts',
  components: {
    AppPopover,
    AppButton,
    AppTooltipQuestion,
    AppInputRadio,
    AppCheckbox,
    AppSelect,
    AppInputNumber,
  },
  props: {
    isInModal: {
      type: Boolean,
      default: false,
    },
  },
  data() {
    return {
      hasError: false,
      textError: 'Это поле должно быть заполнено',
    };
  },
  methods: {},
};
</script>

<style scoped lang="postcss">

</style>
